{
  "name": "in-car-system-fe",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "type-check": "tsc --noEmit"
  },
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^7.0.0",
    "@fortawesome/free-brands-svg-icons": "^7.0.0",
    "@fortawesome/free-regular-svg-icons": "^7.0.0",
    "@fortawesome/free-solid-svg-icons": "^7.0.0",
    "@fortawesome/react-fontawesome": "^0.2.3",
    "@tailwindcss/vite": "^4.1.11",
    "@tanstack/react-query": "^5.85.0",
    "clsx": "^2.1.1",
    "country-flag-icons": "^1.5.19",
    "formik": "^2.4.6",
    "howler": "^2.2.4",
    "rc-slider": "^11.1.9",
    "react": "^19.1.1",
    "react-dom": "^19.1.1",
    "react-modal": "^3.16.3",
    "react-router": "^7.8.0",
    "react-sounds": "^1.0.25",
    "react-swipeable": "^7.0.2",
    "react-tabs": "^6.1.0",
    "react-use": "^17.6.0",
    "sonner": "^2.0.7",
    "tailwindcss": "^4.1.11",
    "use-debounce": "^10.0.6"
  },
  "devDependencies": {
    "@eslint/js": "^9.32.0",
    "@types/react": "^19.1.9",
    "@types/react-dom": "^19.1.7",
    "@types/react-modal": "^3.16.3",
    "@vitejs/plugin-react": "^4.7.0",
    "eslint": "^9.32.0",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.20",
    "globals": "^16.3.0",
    "typescript": "~5.8.3",
    "typescript-eslint": "^8.39.0",
    "vite": "^7.1.0"
  }
}
